<?php
/*
Plugin Name: Tides.Net Today's Tides Widget
Plugin URI: https://tides.net
Description: Shows today's tides data from your selected station
Author: https://tides.net
Version: 1
Author URI: https://tides.net
*/

defined('ABSPATH') or die;

require 'widget_class.php';

$hooks = [
	'widgets_init' => 'tidesnet_todays_tides_register_widget',
	'wp_enqueue_scripts' => 'tidesnet_todays_tides_enqueue_scripts'
];

foreach ( $hooks as $hook => $functions )
	foreach ( (array) $functions as $function )
		add_action($hook, $function);

function tidesnet_todays_tides_enqueue_scripts()
{
	wp_enqueue_style('tidesnet_todays_tides_style', plugin_dir_url(__FILE__).'tidesnet-todays-tides.css');
}

function tidesnet_todays_tides_register_widget()
{
	register_widget('tidesnet_todays_tides');
}
