<?php
/**
 * @author	https://tides.net
 */

defined('ABSPATH') or die;

class tidesnet_todays_tides extends WP_Widget
{
	public $config = [
		'allowedParams' => [
			'state','station'
		],
		
		'urls' => [
			'tidesHome' => 'https://tides.net',
			'ajax' => '/ajax.php?task='
		]
	];
	
	public function __construct()
	{
		parent::__construct('tidesnet_todays_tides', __('Tides.Net Today\'s Tides'), [
			'description' => __('Shows today\'s tides data from your selected station')
		]);
	}
	
	public function widget($args, $instance)
	{
		$title = isset($instance['title']) ? apply_filters('widget_title', $instance['title']) : '';
		
		echo $args['before_widget'];
		
		if ( $title )
			echo $args['before_title'], $title, $args['after_title'];
		
		$data = [];
		
		foreach ( $this->config['allowedParams'] as $paramName )
		{
			if ( empty($instance[$paramName]) )
				return;
			
			$$paramName = $instance[$paramName];
		}
		
		echo '<iframe class="tidesNetWidget" src="',$this->config['urls']['tidesHome'],'/',$state,'/',$station,'/widget/"></iframe>',
			$args['after_widget']
		;
	}
	
	public function form($instance)
	{
		$title = isset($instance['title']) ? $instance['title'] : __('Today\'s Tides');
		
		foreach ( $this->config['allowedParams'] as $paramName )
			$$paramName = !empty($instance[$paramName]) ? $instance[$paramName] : null;
		
		$ajaxUrl = $this->config['urls']['tidesHome'].$this->config['urls']['ajax'];
		
		require 'form_html.php';
	}
	
	public function update($new_instance, $old_instance)
	{
		$new_instance['title'] = strip_tags($new_instance['title']);
		
		return $new_instance;
	}
}